App::Pinto::Command::delete(3pm)

NAME
App::Pinto::Command::delete - permanently remove an archive

VERSION
version 0.14

SYNOPSIS
  pinto --root=REPOSITORY_ROOT delete [OPTIONS] TARGET ...

DESCRIPTION
!! THIS COMMAND IS EXPERIMENTAL !!

IMPORTANT: This command is dangerous. If you just want to remove packages or distributions from a stack, then you should probably be looking at the unregister command instead.

This command permanently removes an archive from the repository, thereby unregistering it from all stacks and wiping it from all history (as if it had never been put in the repository). Beware that once an archive is deleted it cannot be recovered. There will be no record that the archive was ever added or deleted, and this change cannot be undone.

To merely remove packages from a stack (while preserving the archive), use the unregister command.

COMMAND ARGUMENTS
Arguments are the targets that you want to delete. Targets are specified as "AUTHOR/FILENAME". For example:

  SHAKESPEARE/King-Lear-1.2.tar.gz

You can also pipe arguments to this command over STDIN. In that case, blank lines and lines that look like comments (i.e. starting with "#" or ';') will be ignored.

COMMAND OPTIONS

--force
    Deletes the archive even if its packages are pinned to a stack. Take care when deleting pinned packages, as it usually means that particular package is important to someone.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.